package com.xmomen.module.system.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.system.entity.SysDictionary;
import com.xmomen.module.system.entity.SysDictionaryExample;
import org.apache.ibatis.annotations.Param;

// 系统字典Mapper接口
public interface SysDictionaryMapper extends MybatisMapper {
    // 根据条件统计字典数量
    int countByExample(SysDictionaryExample example);

    // 根据条件删除字典
    int deleteByExample(SysDictionaryExample example);

    // 插入字典
    int insertSelective(SysDictionary record);

    // 根据条件更新字典
    int updateByExampleSelective(@Param("record") SysDictionary record, @Param("example") SysDictionaryExample example);
}